xine-lib: post_video_port_s Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
post_video_port_s Struct Reference

`#include <post.h>`

## Data Fields
xine_video_port_t | new_port
xine_video_port_t * | original_port
int(* | intercept_frame )(post_video_port_t *self, vo_frame_t *frame)
vo_frame_t * | new_frame
int(* | route_preprocessing_procs )(post_video_port_t *self, vo_frame_t *frame)
int(* | intercept_ovl )(post_video_port_t *self)
video_overlay_manager_t * | new_manager
video_overlay_manager_t * | original_manager
int | usage_count
pthread_mutex_t | usage_lock
xine_stream_t * | stream
pthread_mutex_t * | port_lock
pthread_mutex_t * | frame_lock
pthread_mutex_t * | manager_lock
post_plugin_t * | post
void * | user_data

## Field Documentation

## ◆ frame_lock

pthread_mutex_t* post_video_port_s::frame_lock

Referenced by mosaico_open_plugin(), post_frame_dispose(), post_frame_draw(), post_frame_field(), post_frame_free(), post_frame_lock(), post_frame_proc_frame(), post_frame_proc_slice(), post_intercept_video_frame(), post_restore_video_frame(), and switch_open_plugin().

## ◆ intercept_frame

int(* post_video_port_s::intercept_frame) (post_video_port_t *self, vo_frame_t *frame)

Referenced by boxblur_open_plugin(), deinterlace_open_plugin(), denoise3d_open_plugin(), eq2_open_plugin(), eq_open_plugin(), invert_open_plugin(), mosaico_open_plugin(), noise_open_plugin(), post_video_get_frame(), pp_open_plugin(), and unsharp_open_plugin().

## ◆ intercept_ovl

int(* post_video_port_s::intercept_ovl) (post_video_port_t *self)

Referenced by expand_open_plugin(), and post_video_get_overlay_manager().

## ◆ manager_lock

pthread_mutex_t* post_video_port_s::manager_lock

Referenced by post_overlay_add_event(), post_overlay_dispose(), post_overlay_flush_events(), post_overlay_free_handle(), post_overlay_get_handle(), post_overlay_init(), post_overlay_multiple_overlay_blend(), and post_overlay_redraw_needed().

## ◆ new_frame

vo_frame_t* post_video_port_s::new_frame

Referenced by _x_post_intercept_video_port(), boxblur_open_plugin(), deinterlace_open_plugin(), denoise3d_open_plugin(), eq2_open_plugin(), eq_open_plugin(), expand_open_plugin(), fill_open_plugin(), invert_open_plugin(), mosaico_open_plugin(), noise_open_plugin(), post_intercept_video_frame(), pp_open_plugin(), switch_open_plugin(), unsharp_open_plugin(), and vdr_video_open_plugin().

## ◆ new_manager

video_overlay_manager_t* post_video_port_s::new_manager

Referenced by _x_post_intercept_overlay_manager(), _x_post_intercept_video_port(), expand_open_plugin(), and post_video_get_overlay_manager().

## ◆ new_port

xine_video_port_t post_video_port_s::new_port

Referenced by _x_post_intercept_video_port(), boxblur_open_plugin(), deinterlace_open_plugin(), denoise3d_open_plugin(), eq2_open_plugin(), eq_open_plugin(), expand_open_plugin(), fill_open_plugin(), invert_open_plugin(), mosaico_open_plugin(), noise_open_plugin(), post_intercept_video_frame(), post_video_port_ref(), post_video_port_unref(), pp_open_plugin(), switch_open_plugin(), unsharp_open_plugin(), and vdr_video_open_plugin().

## ◆ original_manager

video_overlay_manager_t* post_video_port_s::original_manager

Referenced by _x_post_intercept_overlay_manager(), expand_overlay_add_event(), post_overlay_add_event(), post_overlay_dispose(), post_overlay_flush_events(), post_overlay_free_handle(), post_overlay_get_handle(), post_overlay_init(), post_overlay_multiple_overlay_blend(), post_overlay_redraw_needed(), and post_video_get_overlay_manager().

## ◆ original_port

xine_video_port_t* post_video_port_s::original_port

Referenced by _x_post_dispose(), _x_post_intercept_video_port(), boxblur_draw(), deinterlace_build_output_field(), deinterlace_close(), deinterlace_draw(), deinterlace_flush(), deinterlace_get_property(), deinterlace_intercept_frame(), deinterlace_open(), deinterlace_set_property(), denoise3d_close(), denoise3d_draw(), eq2_draw(), eq2_get_property(), eq2_set_property(), eq_draw(), eq_get_property(), eq_set_property(), expand_get_frame(), fill_get_frame(), invert_draw(), mosaico_close(), mosaico_draw_background(), noise_draw(), post_video_close(), post_video_enable_ovl(), post_video_exit(), post_video_flush(), post_video_get_capabilities(), post_video_get_frame(), post_video_get_last_frame(), post_video_get_overlay_manager(), post_video_get_property(), post_video_new_grab_video_frame(), post_video_open(), post_video_rewire(), post_video_set_property(), post_video_status(), post_video_trigger_drawing(), pp_draw(), unsharp_draw(), and vdr_video_draw().

## ◆ port_lock

pthread_mutex_t* post_video_port_s::port_lock

Referenced by mosaico_open_plugin(), post_video_close(), post_video_enable_ovl(), post_video_exit(), post_video_flush(), post_video_get_capabilities(), post_video_get_frame(), post_video_get_last_frame(), post_video_get_overlay_manager(), post_video_get_property(), post_video_new_grab_video_frame(), post_video_open(), post_video_set_property(), post_video_status(), post_video_trigger_drawing(), and switch_open_plugin().

## ◆ post

post_plugin_t* post_video_port_s::post

Referenced by _x_post_intercept_video_port(), boxblur_draw(), deinterlace_close(), deinterlace_draw(), deinterlace_flush(), deinterlace_get_property(), deinterlace_intercept_frame(), deinterlace_open(), deinterlace_set_property(), denoise3d_close(), denoise3d_draw(), eq2_draw(), eq2_get_property(), eq2_set_property(), eq_draw(), eq_get_property(), eq_set_property(), expand_draw(), expand_get_frame(), expand_intercept_ovl(), expand_overlay_add_event(), fill_get_frame(), mosaico_close(), mosaico_draw(), mosaico_draw_background(), noise_draw(), post_free_unused_video_alias(), post_restore_video_frame(), post_video_open(), post_video_port_unref(), pp_draw(), switch_draw(), unsharp_draw(), vdr_video_draw(), and vdr_video_route_preprocessing_procs().

## ◆ route_preprocessing_procs

int(* post_video_port_s::route_preprocessing_procs) (post_video_port_t *self, vo_frame_t *frame)

Referenced by post_intercept_video_frame(), and vdr_video_open_plugin().

## ◆ stream

xine_stream_t* post_video_port_s::stream

Referenced by deinterlace_close(), deinterlace_draw(), deinterlace_open(), denoise3d_close(), denoise3d_draw(), mosaico_close(), mosaico_draw(), post_restore_video_frame(), post_video_close(), post_video_open(), and post_video_rewire().

## ◆ usage_count

int post_video_port_s::usage_count

Referenced by _x_post_dispose(), post_free_unused_video_alias(), post_new_video_alias(), post_restore_video_frame(), post_video_port_ref(), and post_video_port_unref().

## ◆ usage_lock

pthread_mutex_t post_video_port_s::usage_lock

Referenced by _x_post_dispose(), _x_post_intercept_video_port(), post_free_unused_video_alias(), post_new_video_alias(), post_restore_video_frame(), post_video_close(), post_video_port_ref(), and post_video_port_unref().

## ◆ user_data

void* post_video_port_s::user_data

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/include/xine/post.h